<template>
<el-dialog
  v-loading="loading"
  :show-close="false"
  :close-on-click-modal="false"
  :visible.sync="isShow"
  :title="this.curObj && this.curObj.typeName ? '编辑项目选项' : '添加项目选项'"
  :fullscreen="false"
  width="470px"
  custom-class="xl-dialog"
  center>
  <base-form style="width:400px" :data="formData" ref="ruleForm" :isInline="false" labelWidth="100px">
    <div slot="footer">
      <el-button class="xl-form-btn t2" @click="close">关 闭</el-button>
      <el-button class="xl-form-btn t1" @click="close('confirm')">确定</el-button>
      <!-- <el-button v-if="!this.curObj.id" class="xl-form-btn t1" @click="close('next')">继续添加</el-button> -->
    </div>
  </base-form>
</el-dialog>
</template>
<script>
export default {
  props: {
    isShow: Boolean,
    curObj: Object
  },
  inject: ['parentData'],
  mixins,
  data() {
    return {
      formData: [],
      loading: true
    }
  },
  watch: {
    isShow: function(val) {
      if (val) {
        let params = {...this.curObj}
        this.formData = [
          {label: '选项', key: 'content', type: 'textarea', rules: 1},
        ]
        this.setDefaultValue(params)
      }
    }
  },
  methods: {
    close (str) {
      if (str === 'confirm' || str === 'next') {
        this.$refs['ruleForm'].$refs['baseForm'].validate((valid) => {
          if (valid) {
            const oldform = this.$refs.ruleForm.baseForm
            let params = {...oldform}
            params.verify1_id = this.parentData.curPid
            let apiStr = 'admverify2add'
            if(this.curObj && this.curObj.id) {
              params.id = this.curObj.id
              apiStr = 'admverify2edit'
            }
            this.$api.zt[apiStr](params).then(data => {
              this.$msgs('保存成功！')
              if (str === 'next') {
                this.setDefaultValue()
              } else {
                this.$emit('close', params)
              }
              // this.setDefaultValue()
            })
          }
        })
      } else {
        this.$emit('close')
        this.setDefaultValue()
      }
    }
  }
}
</script>
